Package org.eclipse.graphiti.pattern

# Class FeatureForPatternDelegate

java.lang.Object
org.eclipse.graphiti.pattern.FeatureForPatternDelegate

All Implemented Interfaces:
  `IFeatureForPattern`

public class FeatureForPatternDelegate extends Object implements IFeatureForPattern
This feature wraps generic functionality of a pattern for calls of the Graphiti framework. Clients should not need to use this class directly.

## Constructor Summary

Constructors
Constructor
Description
`FeatureForPatternDelegate(IPattern pattern)`
Creates a new `FeatureForPatternDelegate`.

## Method Summary

Modifier and Type
Method
Description
`IPattern`
`getPattern()`
Gets the pattern.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FeatureForPatternDelegate

public FeatureForPatternDelegate(IPattern pattern)
Creates a new `FeatureForPatternDelegate`.

Parameters:
  `pattern` - the pattern

## Method Details

### getPattern

public IPattern getPattern()
Gets the pattern.

Specified by:
  `getPattern` in interface `IFeatureForPattern`
Returns:
  Returns the pattern.